/*
 * PDFlow -- infot.tab.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#include "fmt/fields.tab.h"

XREF_DESC_BEGIN (field_desc, NULL)
     TS_FIELD_I ("Title", title, 1, 1, XREF_O)
     TS_FIELD_I ("Author", author, 1, 0, XREF_O)
     TS_FIELD_I ("Subject", subject, 1, 1, XREF_O)
     TS_FIELD_I ("Keywords", keywords, 1, 1, XREF_O)
     TS_FIELD_I ("Creator", creator, 1, 0, XREF_O)
     TS_FIELD_I ("Producer", producer, 1, 0, XREF_O)
     COBJ_DATE ("CreationDate", creation_date, 1, 0, XREF_O)
     COBJ_DATE ("ModDate", mod_date, 1, 0, XREF_O)
     COBJ_ENUM ("Trapped", trapped, trapped_desc, 1, 3, XREF_O)
XREF_DESC_END

XREF_F_DICTIONARY (field, field_desc, 1, 0)

