/*
 * PDFlow -- namedict.tab.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#include "fmt/fields.tab.h"

XREF_DESC_BEGIN (field_desc, NULL)
     T_NAME_FIELD_R ("Dests", dests, 1, 2, XREF_O)
     T_NAME_FIELD_R ("AP", ap, 1, 3, XREF_O)
     T_NAME_FIELD_R ("JavaScript", java_script, 1, 3, XREF_O)
     T_NAME_FIELD_R ("Pages", pages, 1, 3, XREF_O)
     T_NAME_FIELD_R ("Templates", templates, 1, 3, XREF_O)
     T_NAME_FIELD_R ("IDS", ids, 1, 3, XREF_O)
     T_NAME_FIELD_R ("URLS", urls, 1, 3, XREF_O)
     T_NAME_FIELD_R ("EmbeddedFiles", embedded_files, 1, 4, XREF_O)
     T_NAME_FIELD_R ("AlternatePresentations", alt_presentations, 1, 4, XREF_O)
     T_NAME_FIELD_R ("Renditions", renditions, 1, 5, XREF_O)
XREF_DESC_END
XREF_F_DICTIONARY (field, field_desc, 1, 0)


