/*
 * PDFlow -- resdict.tab.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#include "fmt/fields.tab.h"

XREF_DESC_BEGIN(field_desc, NULL)
     XREF_OBJ ("ExtGState", ext_g_state, OT_DICTIONARY, 1, 0, XREF_O)
     XREF_OBJ ("ColorSpace", colour_space, OT_DICTIONARY, 1, 0, XREF_O)
     XREF_OBJ ("Pattern", pattern, OT_DICTIONARY, 1, 0, XREF_O)
     XREF_OBJ ("Shading", shading, OT_DICTIONARY, 1, 0, XREF_O)
     XREF_OBJ ("XObject", xobject, OT_DICTIONARY, 1, 0, XREF_O)
     XREF_OBJ ("Font", font, OT_DICTIONARY, 1, 0, XREF_O)
     XREF_OBJ ("ProcSet", proc_set, OT_ARRAY, 1, 0, XREF_O)
     XREF_OBJ ("Properties", properties, OT_DICTIONARY, 1, 2, XREF_O)
XREF_DESC_END

XREF_F_DICTIONARY (fields, field_desc, 1, 0)
