/*
 * PDFlow -- tobj.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#ifndef tobj_h

#define tobj_h

#include "refs.h"
#include "fmt/fields.h"
#include "types/cobj.h"
#include "types/types.h"

struct to_object {

	struct t_type t;
};

T_PROTOTYPES (to, to_object);

COBJ_ENUM_DECLARE (to_enum, struct to_object *);

#define TO_OBJECT_R(name, field, major, minor, mand) \
XREF_FUNCTION_R (name, struct to_object, field, \
                 &to_pstable, major, minor, mand)
#define TO_ENUM(name, field, desc, major, minor, mand) \
XREF_FUNCTION_I_DATA (name, struct to_enum, field, \
                      &cobj_enum_pstable, desc, major, minor, mand)


#endif
