/*
 * PDFlow -- trailer.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#ifndef trailer_h

#define trailer_h

#include "fmt/objbr.h"
#include "types/types.h"
#include "types/info.h"
#include "types/catalog.h"

struct tri_trailer {

	struct t_type t;

#include "trailer.tab.h"	

};

T_PROTOTYPES (tri, tri_trailer);

enum s_status tri_derive (struct tri_trailer *tri, struct tri_trailer *stri,
			  struct ob_bridge *obr);
enum s_status tri_touch (struct tri_trailer *tri);
enum s_status tri_fix_and_sync (struct xref_db *rdb, struct v_selection *sel,
				struct obj *obj, struct tri_trailer *tri);

#endif
