/*
 * PDFlow -- xref-t15.tab.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#include "fmt/fields.tab.h"

#ifdef XREF_T15_SECTION
XREF_DESC_BEGIN(xref15_section_desc, NULL)
     XREF_TAG ("Type", "XRef", 1, 0, XREF_M)
     XREF_INTEGER ("Size", size, -1, 1, 0, XREF_M)
     XREF_A_ARRAY ("Index", struct xref_int_array, idx, 
		   &xref_int_pstable, 1, 0, XREF_O)
     XREF_INTEGER ("Prev", prev, 0, 1, 0, XREF_O)
     XREF_A_ARRAY ("W", struct xref_int_array, w, 
		   &xref_int_pstable, 1, 0, XREF_M)
     XREF_REGION (data)
XREF_DESC_END
XREF_F_STREAM (xref15_section_field, xref15_section_desc, 1, 5)
#undef XREF_T15_SECTION
#endif

#ifdef XREF_T15_STREAM_OBJECT
XREF_DESC_BEGIN(xref15_stream_object_desc, NULL)
     XREF_TAG ("Type", "ObjStm", 1, 0, XREF_M)
     XREF_INTEGER ("N", n, 0, 1, 0, XREF_M)
     XREF_INTEGER ("First", first, 0, 1, 0, XREF_M)
     XREF_REGION (data)
XREF_DESC_END
XREF_F_STREAM (xref15_stream_object_field, xref15_stream_object_desc, 1, 5)
#undef XREF_T15_STREAM_OBJECT
#endif

