/*
 * PDFlow -- pdfo.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#ifndef pdfo_h

#define pdfo_h

#include "pdf/pdfw.h"

struct pdfo_optimizer;

enum s_status pdfo_create (struct pdfw_writer *pdfw,
			   struct pdfo_optimizer **pdfo);
void pdfo_destroy (struct pdfo_optimizer *pdfo);

enum s_status pdfo_flush (struct pdfo_optimizer *pdfo, 
			  struct pdfw_opcode **head,
			  struct pdfw_opcode ***tail,
			  pdf_bool_t end);

#endif
