/*
 * PDFlow -- cmap.tab.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#include "fmt/fields.tab.h"

#ifdef CMAP
XREF_DESC_BEGIN (cmap_field_desc, NULL)
     XREF_INTEGER ("CMapType", cmap_type, 1, 1, -1, XREF_O)
     XREF_OBJ ("CMapName", cmap_name, OT_NAME, 1, 0, XREF_M)
     CMAP_SYSTEM_INFO_I ("CIDSystemInfo", cid_system_info, 1, 0, XREF_O)
     XREF_REAL ("CMapVersion", cmap_version, 0, 1, 0, XREF_O)
     XREF_A_ARRAY ("XUID", struct xref_real_array, xuid,
		   &xref_real_pstable, 1, 0, XREF_O)
     XREF_INTEGER ("UIDOffset", uid_offset, -1, 1, 0, XREF_O)
     XREF_INTEGER ("WMode", wmode, 0, 1, 0, XREF_O)
XREF_DESC_END
XREF_F_DICTIONARY (cmap_field, cmap_field_desc, 1, 0)
#undef CMAP
#endif

#ifdef CMAP_SYSTEM_INFO
XREF_DESC_BEGIN (cmap_system_info_field_desc, NULL)
     XREF_OBJ ("Registry", registry, OT_STRING, 1, 0, XREF_M)
     XREF_OBJ ("Ordering", ordering, OT_STRING, 1, 0, XREF_M)
     XREF_INTEGER ("Supplement", supplement, 0, 1, 0, XREF_M)
XREF_DESC_END
XREF_F_DICTIONARY (cmap_system_info_field, cmap_system_info_field_desc, 1, 0)
#undef CMAP_SYSTEM_INFO
#endif

