/*
 * PDFlow -- extensions.tab.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#include "fmt/fields.tab.h"

#ifdef XTS_EXTENSIONS
XREF_DESC_BEGIN (xts_extensions_field_desc, NULL)
XREF_DESC_END
XREF_F_DICTIONARY (xts_extensions_field, xts_extensions_field_desc, 1, 0)
#undef XTS_EXTENSIONS
#endif

#ifdef XTS_INFO
XREF_DESC_BEGIN (xts_info_field_desc, NULL)
     XREF_TAG ("Type", "DeveloperExtensions", 1, 0, XREF_O)
     XREF_OBJ ("BaseVersion", base_version, OT_NAME, 1, 0, XREF_M)
     XREF_INTEGER ("ExtensionLevel", extension_level, 0, 1, 0, XREF_M)
XREF_DESC_END
XREF_F_DICTIONARY (xts_info_field, xts_info_field_desc, 1, 0)
#undef XTS_INFO
#endif

