/*
 * PDFlow -- tree.tab.h
 *
 *  Copyright (c) 2010 Alberto Cuda
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#include "fmt/fields.tab.h"

#ifndef TR_PAIRS
#define TR_PAIRS "/Pairs/"
#endif

XREF_DESC_BEGIN (TR_FIELD_DESC, NULL)
     XREF_A_ARRAY ("Kids", struct xref_obj_array, kids, 
		   &xref_obj_pstable, 1, 0, XREF_O)
     XREF_A_ARRAY (TR_PAIRS, struct xref_obj_array, pairs, 
		   &xref_obj_pstable, 1, 0, XREF_O)
     XREF_A_ARRAY ("Limits", struct xref_obj_array, limits, 
		   &xref_int_pstable, 1, 0, XREF_O)
XREF_DESC_END
XREF_F_DICTIONARY (TR_FIELD, TR_FIELD_DESC, 1, 0)

#undef TR_PAIRS
#undef TR_FIELD
#undef TR_FIELD_DESC
